<template>
  <div :class="[ $attrs.class, 'form-page' ]" :style="{ visibility: show ? 'visible' : 'hidden' }">
    <slot/>
  </div>
</template>

<script>
  export default {
    name: 'VStepPage',
    props: {
      show: Boolean
    }
  }
</script>

<style scoped>
  .form-page {
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
  }
</style>